/*CSS Reset*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


body {
  font-family: 'Urbanist', serif !important;
  background-color: #FFF8DE;
background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25' viewBox='0 0 1200 800'%3E%3Cdefs%3E%3CradialGradient id='a' cx='0' cy='800' r='800' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23fed4e2'/%3E%3Cstop offset='1' stop-color='%23fed4e2' stop-opacity='0'/%3E%3C/radialGradient%3E%3CradialGradient id='b' cx='1200' cy='800' r='800' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23c2f9c4'/%3E%3Cstop offset='1' stop-color='%23c2f9c4' stop-opacity='0'/%3E%3C/radialGradient%3E%3CradialGradient id='c' cx='600' cy='0' r='600' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23bbc0f6'/%3E%3Cstop offset='1' stop-color='%23bbc0f6' stop-opacity='0'/%3E%3C/radialGradient%3E%3CradialGradient id='d' cx='600' cy='800' r='600' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23FFF8DE'/%3E%3Cstop offset='1' stop-color='%23FFF8DE' stop-opacity='0'/%3E%3C/radialGradient%3E%3CradialGradient id='e' cx='0' cy='0' r='800' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23E6CBFC'/%3E%3Cstop offset='1' stop-color='%23E6CBFC' stop-opacity='0'/%3E%3C/radialGradient%3E%3CradialGradient id='f' cx='1200' cy='0' r='800' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23ADDDED'/%3E%3Cstop offset='1' stop-color='%23ADDDED' stop-opacity='0'/%3E%3C/radialGradient%3E%3C/defs%3E%3Crect fill='url(%23a)' width='1200' height='800'/%3E%3Crect fill='url(%23b)' width='1200' height='800'/%3E%3Crect fill='url(%23c)' width='1200' height='800'/%3E%3Crect fill='url(%23d)' width='1200' height='800'/%3E%3Crect fill='url(%23e)' width='1200' height='800'/%3E%3Crect fill='url(%23f)' width='1200' height='800'/%3E%3C/svg%3E");
background-attachment: fixed;
background-size: cover;
 /* background-color: #FFFFFF;
background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25' viewBox='0 0 2 1'%3E%3Cdefs%3E%3ClinearGradient id='a' gradientUnits='userSpaceOnUse' x1='0' x2='0' y1='0' y2='1'%3E%3Cstop offset='0' stop-color='%23FFFFFF'/%3E%3Cstop offset='1' stop-color='%23FFF3E2'/%3E%3C/linearGradient%3E%3ClinearGradient id='b' gradientUnits='userSpaceOnUse' x1='0' y1='0' x2='0' y2='1'%3E%3Cstop offset='0' stop-color='%23BBA2B8' stop-opacity='0'/%3E%3Cstop offset='1' stop-color='%23BBA2B8' stop-opacity='1'/%3E%3C/linearGradient%3E%3ClinearGradient id='c' gradientUnits='userSpaceOnUse' x1='0' y1='0' x2='2' y2='2'%3E%3Cstop offset='0' stop-color='%23BBA2B8' stop-opacity='0'/%3E%3Cstop offset='1' stop-color='%23BBA2B8' stop-opacity='1'/%3E%3C/linearGradient%3E%3C/defs%3E%3Crect x='0' y='0' fill='url(%23a)' width='2' height='1'/%3E%3Cg fill-opacity='0.54'%3E%3Cpolygon fill='url(%23b)' points='0 1 0 0 2 0'/%3E%3Cpolygon fill='url(%23c)' points='2 1 2 0 0 0'/%3E%3C/g%3E%3C/svg%3E");
background-attachment: fixed;
background-size: cover;
  */

  
}

/* --- NAVIGATION BAR --- */

.nav-title img {
  max-width: 100%;
  border-style: solid;
  border-color: transparent;
}

.nav-title img:visited {
    transition: border-color 0.3s, color 0.3s;
    border-color: #726583;
}


.nav-title img:hover {
  border-color: #726583;
}

.logo-img {
  overflow: hidden;
  border-style: solid;
  border-color: transparent;
  float: left;
  margin-left: 70px;
}



.nav-bar {
  width: 100%;
  z-index: 1;

}

.nav-links a {
  float: right;
  margin-right: 3rem;

 
}

.nav-links a:link,
.nav-links a:visited {
  border: 2px;
  border-color: transparent;
  border-style: solid;
  border-radius: 40px;
  margin-left: 20px;
  text-decoration: none;
  color: #726583;
  font-weight: bolder;
  padding-bottom: 1px;
  transition: border-color 0.3s, color 0.3s;
  display: inline-block;
  width: 160px;
  text-align: center;
}

.sticky {
  position: fixed;
  top: 0;
  left: 0;
  background-color: #F5ECDC !important; 
}

.sticky .logo-img {
  margin-top: 1px;
}

.nav-links a {
  margin-top: 6px;
  margin-bottom: 2px;
}

.nav-links a:hover {
  border-color: #726583;
  color: #726583;
}

.nav > .nav-btn {
  display: none;
}

.nav > .nav-header {
  display: inline;
}

.nav > #nav-check {
  display: none;
}


@media (max-width:768px) {
  .nav > .nav-btn {
    display: inline-block;
    position: absolute;
    right: 0px;
    top: 0px;
  }
  .nav > .nav-btn > label {
    display: inline-block;
    width: 50px;
    height: 50px;
    padding: 13px;
  }
  .nav > .nav-btn > label:hover,.nav  #nav-check:checked ~ .nav-btn > label {
    background-color: #726583;
  }
  .nav > .nav-btn > label > span {
    display: block;
    width: 25px;
    height: 10px;
    border-top: 2px solid #F5ECDC;
  }
  .nav > .nav-links {
    position: absolute;
    display: block;
    width: 100%;
    background-color: #F5ECDC;
    height: 50%;
    transition: all 0.3s ease-in;
    overflow-y: hidden;
    top: 50px;
    left: 0px;
  }
  .nav > .nav-links > a {
    display: block;
    width: 100%;
  }
  .nav > #nav-check:not(:checked) ~ .nav-links {
    height: 0px;
  }
  .nav > #nav-check:checked ~ .nav-links {
    height: calc(25vh - 50px);
    overflow-y: auto;
    background-color: #F5ECDC;
  }
}

/* END NAVBAR ----------------- */


/*Small Device*/
@media (min-width:  320px) {
  #footer__btn {
    margin-left: 4.2rem;
  }
  
}

/*Medium Device*/
@media (min-width:  768px) {
  #footer__btn {
    margin-left: 3.5rem;
  }
  
}

/*Large Device*/
@media (min-width:  992px) {
  #footer__btn {
    margin-left: 11.5rem;
  }
  #legal {
    margin-left: 6.2rem;
  }
}


/*Fontawesome*/
#fontawesome {
  font-size: 65px;
}
/*Fontawesome*/


/*Landing Page*/

#name {
  font-weight: bolder;
  font-size: 35px;
  letter-spacing: 2px;
}

.landing-page {
  border-color: black;
  border-radius: 40px;
  text-align: center;
  max-width: 80%;
  margin-top: 4.5rem;

}

/*Landing Page*/

/*About Me*/
.box-2 {
    border-color: black;
    border-radius: 40px;
    text-align: center;
    max-width: 50%;
    margin-top: 4.5rem;
}

.box-3 {
    border-color: black;
    border-radius: 40px;
    text-align: center;
    max-width: 50%;
    margin-top: 4.5rem;
}

.box-3 img {
  height: 100%;
}

.about-title {
  font-weight: bolder;
  margin-top: 1rem;
}

.paragraph {
  font-weight: bolder;
  font-size: 1.2em;
}


@media (min-width: 320px) and (max-width: 575px) {
        #about-me-page {
         display: none;
        }
 }


/*About Me*/

/*Projects*/
.projects {
  min-width: 240px;
  min-height: 250px;
  margin: auto;
}

#projects, .title-cap, .cap-project {
  font-weight: bolder;
}

#capstone {
  max-height: 500px;
}



/*Projects*/



/* FOOTER */




#footer-sticky {
  background-color: #8c5b97;
  border-top: 1px;
  width: 100%;
  position: fixed;
  bottom: 0;
}

.footer-text {
  color: #black;
}

#footer-sticky .social-icons a {
  font-size: 30px;
  color: #edeec9;

  margin-left: 1.3rem;
  margin-right: 1.3rem;
}
#footer-sticky .social-icons a i:hover {
  color: #EC1C11;
}
#footer-sticky .social-icons .container-fluid {
  max-width: 768px;
}

/*FOOTER*/

/*footer*/

.footer {
  backdrop-filter: blur(30px) !important;
  display: flex;
  flex-flow: row wrap;
  padding: 30px 30px 20px 30px;
  color: black;
  border-top: 1px solid #e5e5e5;
  margin-bottom: 1rem;
  font-weight: bolder;
}

.footer > * {
  flex:  1 100%;
}

.footer__addr {
  margin-right: 1.25em;
  margin-bottom: 2em;
}

.footer__logo {
  font-family: 'Pacifico', cursive;
  font-weight: 400;
  text-transform: lowercase;
  font-size: 2rem;
}



.nav__title {
  font-weight: 400;
  font-size: 20px;
  font-weight: bolder;
  margin: 10px;
}

.footer address {
  font-style: normal;
  color: black;
  margin-top: 1.5rem;
}

.footer__btn {
  display: flex;
  font-weight: bolder;
  align-items: center;
  justify-content: center;
  height: 36px;
  max-width: max-content;
  background-color: darkviolet;
  border-radius: 100px;
  color: white;
  line-height: 0;
  margin: 0.6em 0;
  font-size: 1rem;
  padding: 0 1.3em;

}

.footer ul {
  list-style: none;
  padding-left: 0;
}

.footer li {
  line-height: 2em;
}

.footer a {
  text-decoration: none;
}

.footer__nav {
  display: flex;
  flex-flow: row wrap;
}

.footer__nav > * {
  flex: 1 50%;
  margin-right: 1.25em;
}

.nav__ul {
  color: #726583;
}

.nav__ul--extra {
  column-count: 2;
  column-gap: 1.25em;
  color: #726583;
}




@media screen and (min-width: 24.375em) {
  .legal  {
    margin-left: auto;
  }
}

@media screen and (min-width: 40.375em) {
  .footer__nav > * {
    flex: 1;
  }
  
  .nav__item--extra {
    flex-grow: 2;
  }
  
  .footer__addr {
    flex: 1 0px;
  }
  
  .footer__nav {
    flex: 2 0px;
  }



}

